%define upstream_name    Module-Build-Pluggable
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Set repository information automatically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Module::Build::Pluggable adds pluggability for Module::Build.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-6.mga6
+ Revision: 1029910
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-5.mga6
+ Revision: 949271
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 789416
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 744203
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 685411
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 0.100.0-1.mga5
+ Revision: 590734
- adding missing buildrequires:
- imported package perl-Module-Build-Pluggable


* Thu Feb 13 2014 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
